<?php

namespace Drupal\static_build\Release;

use Drupal\static_build\Release\Task\TaskFactoryInterface;

/**
 * A class that creates Release objects.
 */
class ReleaseFactory implements ReleaseFactoryInterface {

  /**
   * Release cache to avoid creating different instances of the same release.
   *
   * @var \Drupal\static_build\Release\ReleaseInterface[]
   */
  protected $releaseCache;

  /**
   * {@inheritdoc}
   */
  public function create(string $allReleasesDir, string $uniqueId, TaskFactoryInterface $taskFactory): ReleaseInterface {
    if (empty($this->releaseCache[$allReleasesDir][$uniqueId])) {
      $this->releaseCache[$allReleasesDir][$uniqueId][get_class($taskFactory)] = new Release($allReleasesDir, $uniqueId, $taskFactory);
    }
    return $this->releaseCache[$allReleasesDir][$uniqueId][get_class($taskFactory)];
  }

}
