<?php

namespace Drupal\static_deployer_azureblob\Form;

use Drupal\Core\Form\ConfigFormBase;
use Drupal\Core\Form\FormStateInterface;

/**
 * Configuration form for Static Deployer Azure Blob.
 */
class SettingsForm extends ConfigFormBase {

  /**
   * {@inheritdoc}
   */
  public function getFormId() {
    return 'static_deployer_azureblob_settings';
  }

  /**
   * {@inheritdoc}
   */
  protected function getEditableConfigNames() {
    return ['static_deployer_azureblob.settings'];
  }

  /**
   * {@inheritdoc}
   */
  public function buildForm(array $form, FormStateInterface $form_state) {

    $form['credentials'] = [
      '#type' => 'fieldset',
      '#title' => $this->t('To be done'),
      '#description' => $this->t(
        'To be done'
      ),
    ];

    return parent::buildForm($form, $form_state);
  }

  /**
   * {@inheritdoc}
   */
  public function submitForm(array &$form, FormStateInterface $form_state) {
    $config = $this->config('static_deployer_azureblob.settings');
    $config
      ->save();

    parent::submitForm($form, $form_state);
  }

}
