<?php

namespace Drupal\static_deploy\Plugin;

/**
 * An interface with helper methods for Static Deployer.
 */
interface StaticDeployerHelperInterface {

  /**
   * Get data from a running deploy process.
   *
   * @param string $deployerId
   *   Id of the @StaticDeployer plugin that is executing a deploy.
   * @param string $builderId
   *   Id of the @StaticBuilder plugin that is being deployed.
   *
   * @return array
   *   An array with data from the deploy, or an empty array if not available.
   * @see TaskSupervisorInterface::DEFAULT_TASK_DATA to learn more about the
   *   structure
   */
  public function getRunningDeployData(string $deployerId, string $builderId): array;

}
