<?php

namespace Drupal\static_export\Event;

use Symfony\Component\EventDispatcher\Event;

/**
 * Event for Exportable Entity List.
 */
class ExportableEntityListEvent extends Event {

  /**
   * An array with event's data.
   *
   * @var array
   */
  protected $data = [];

  /**
   * Constructs the object.
   */
  public function __construct() {
  }

  /**
   * Get event data.
   *
   * @return array
   *   The event data.
   */
  public function getData(): array {
    return $this->data;
  }

  /**
   * Set event data.
   *
   * @return array
   *   The event data.
   */
  public function setData(array $data): void {
    $this->data = $data;
  }

}
