<?php

namespace Drupal\static_export\Exporter\Data\Includes\Loader;

use Drupal\static_export\Exporter\Output\Uri\UriInterface;

/**
 * Defines an interface for Data include loaders.
 */
interface DataIncludeLoaderInterface {

  /**
   * Load data includes for a URI.
   *
   * Find all includes in a URI's content and replace them.
   *
   * @param \Drupal\static_export\Exporter\Output\Uri\UriInterface $uri
   *   URI to load.
   * @param string|null $mimeType
   *   Optional mime type for the URI.
   *
   * @return string
   *   The processed string.
   */
  public function load(UriInterface $uri, string $mimeType = NULL): string;

}
