<?php

namespace Drupal\static_export\Exporter\Output\Uri\Resolver;

/**
 * Base URI resolver for exported items.
 */
abstract class ExporterUriResolverBase implements ExporterUriResolverInterface {

  /**
   * {@inheritdoc}
   */
  public function getUris(): array {
    // Remove null values by using array_filter.
    return array_filter(
      array_merge(
        [$this->getMainUri()],
        $this->getVariantUris(),
        $this->getTranslationUris()
      )
    );
  }

}
