/**
 * Show 'Save & Preview' button only when 'Published' checkbox is not checked.
 */
(function () {

  const ConditionallyShowButtons = {

    publishedCheckbox: document.getElementById('edit-status-value'),
    previewButton: document.getElementById('edit-preview'),

    init: function () {
      if (this.publishedCheckbox) {
        this.setButtonDisplay(!this.publishedCheckbox.checked);
        this.publishedCheckbox.addEventListener('change', (event) => {
          if (event.target && event.target.checked) {
            this.setButtonDisplay(false);
          }
          else {
            this.setButtonDisplay(true);
          }
        });
      }
      else {
        this.setButtonDisplay(true);
      }
    },

    setButtonDisplay: function (visible) {
      if (this.previewButton) {
        if (visible) {
          this.previewButton.style.display = 'inline-block';
        }
        else {
          this.previewButton.style.display = 'none';
        }
      }
    }
  };

  ConditionallyShowButtons.init();

})();
